## bootcd 3.07

=== Makefile ===
# Makefile 

BIN=		bootcdwrite
USRLIBS=	bootcd-run.lib bootcd-check.lib bootcd-hppa.lib \
		bootcd2disk.conf bootcd2disk.lib \
		default.txt bootcd-ia64.lib bootcd-i386.lib
USREXLIBS=	bootcd2disk bootcdflopcp bootcdmodprobe bootcdproberoot \
		S13bootcdflop.sh S12bootcdram.sh bootcdmk2diskconf bootcdbackup
CONFFILES=	bootcdwrite.conf isolinux.cfg syslinux.cfg bootcdbackup.conf 
INITTOP=	runbootcdmodprobe
INITPREMOUNT=	runbootcdproberoot
INITHOOK=       bootcdinitramfshook
INITRAMFSDEST=  $(DESTDIR)/usr/share/initramfs-tools

all:

clean:
	@rm -f ChangeLog.gz

install:	all
	@install -m 755 -o root -g root $(BIN) $(DESTDIR)/usr/bin/
	@install -m 644 -o root -g root $(CONFFILES) $(DESTDIR)/etc/bootcd/
	@install -m 644 -o root -g root $(USRLIBS) $(DESTDIR)/usr/share/bootcd/
	@install -m 755 -o root -g root $(USREXLIBS) $(DESTDIR)/usr/share/bootcd/
	@install -m 755 -o root -g root $(INITTOP) $(INITRAMFSDEST)/scripts/init-top/
	@install -m 755 -o root -g root $(INITPREMOUNT) $(INITRAMFSDEST)/scripts/init-premount/
	@install -m 755 -o root -g root $(INITHOOK) $(INITRAMFSDEST)/hooks/
