=== debian/changelog ===
bootcd (3.07) unstable; urgency=low

  * remove command "function" from all scripts to be dash compatible
    reported by Dan Bernardic <dan.bernardic@gmail.com> seen in ubuntu
  * print warning, if bootcd-mkinitramfs is not installed
  * added command bootcdbackup
  * Resolved bug "depends on non-essential package initramfs-tools in 
    postrm". Closes: #416731
  * solved bug, that /var was not writable when using udev

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Mon, 21 May 2007 11:45:37 +0200

bootcd (3.06) unstable; urgency=low

  * small bug fixes (RESTORECMD="" in bootcd2disk.lib, FAQ, 
    lvdisplay --units -M -> -m)
  * Rechecked spelling errors. Closes: #419784
  * Rechecked spelling errors. Closes: #419785
  * Rechecked spelling errors. Closes: #419786

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Thu, 10 May 2007 17:26:23 +0200

bootcd (3.05) unstable; urgency=low

  * New command bootcdmk2diskconf to automatically build bootcd2disk.conf
    for backup purposes. This is experimental for now.
  * New section in FAQ to describe how to use bootcdmk2diskconf:
    "Q: Can I use bootcd to backup and restore redhat or suse"
  * Support for new config option RESTORECMD in bootcd2disk.conf
  * New commandline options -onlymount -onlyunmount in bootcd2disk

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Thu, 10 May 2007 09:57:41 +0200

bootcd (3.04) unstable; urgency=low

  * New version 3.04
  * if grub-install does not work in bootcd2disk grub will be used as before

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Fri, 27 Apr 2007 10:56:49 +0200

bootcd (3.03) unstable; urgency=low

  * boocd2disk now uses grub-install instead of using grub directly.
  * added examle to use bootcd for redhat backup

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Tue, 24 Apr 2007 14:24:48 +0200

bootcd (3.02) unstable; urgency=low

  * drop mkisofs warning
  * Check if initramfs-tools is installed, before using it in postrm
    of bootcd-mkinitramfs. Closes: #416731
  * Now multiple disks are supported in bootcd2disk. This affects mainly
    the lvm stuff.
  * Faster installing is possible with bootcd2disk option -url
  * Much better manpages by Carsten Dinkelmann <din@foobar-cpa.de>
  * UDEV_FIXNET option added to bootcdwrite.conf to fix Problem 
    with unused eth0 cards. Added by Carsten Dinkelmann <din@foobar-cpa.de>

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Wed,  7 Mar 2007 14:01:53 +0100

bootcd (3.01) unstable; urgency=low

  * Clarified copyright message as suggested by Francesco Poli
    [frx@firenze.linux.it]. Closes: #411193
  * Fixed bug Bootcdinitramfshook does not copy modules reported
    by jon@mail2.sd-6.org. Closes: #407990

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Mon, 19 Feb 2007 09:06:46 +0100
