=== debian/changelog ===
bootcd (3.08ubuntu1) hardy; urgency=low

  * Added 01bootcdmk2diskconf.src.diff patch:
    - Changes "((" with "( (" for dash compatibility (LP: #165030)
  * Implement quilt patch system:
    - Add quilt as a Build-Depends in debian/control
    - Add quilt support in debian/rules
  * debian/control: Update maintainer fields according to debian-
    maintainer-field spec.

 -- Nicolas Valcárcel Scerpella (aka nxvl) <nvalcarcel@gmail.com>  Thu, 29 Nov 2007 11:44:40 -0500

bootcd (3.08) unstable; urgency=low

  * Support for more than one kernel.
    It is now possible to define multiple KERNELS in bootcdwrite.conf.
    (Implemented by Carsten Dinkelmann <din@foobar-cpa.de> )
  * Bootcd defaults are optimized to fit most users needs.
    UDEV_FIXNET is now enabled by default and we use DVD for 
    size checking instead of CD by default.
  * Better manpages. 
    The manpage for bootcdwrite.conf has been updated.
  * New wizard to create backups of non-debian distributions.
    Bootcdbackupwizard is added do create online backups easy.
    First version of bootcddebootstrap to help create a bootcd on NonDeian 
    has been built by Carsten Dinkelmann <din@foobar-cpa.de>
  * Bootcd is more stable
    Using find/cpio is now more often used with secure option
    -print0/-null.

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Thu, 13 Sep 2007 20:27:27 +0200
