=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: bootcd
 Section: utils
 Priority: extra
-Maintainer: Bernd Schumacher <bernd.schumacher@hp.com>
-Build-Depends: debhelper (>= 4)
-Build-Depends-Indep: debhelper (>= 4)
+Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+XSBC-Original-Maintainer: Bernd Schumacher <bernd.schumacher@hp.com>
+Build-Depends: debhelper (>= 4), quilt
+Build-Depends-Indep: debhelper (>= 4) 
 Standards-Version: 3.6.1
 
 Package: bootcd
@@ -22,8 +23,10 @@
  command bootcd2disk. Bootcd2disk can also find a target disk, format 
  it and make it bootable automatically. Bootcd also supports lilo, 
  grub, initrd, udev, lvm, transparent-compression ISO 9660 fs and 
- syslinux/isolinux. Bootcd also supports offline backups/restores of other
- linux distributions.
+ syslinux/isolinux. The included FAQ describes how bootcd can do 
+ online or offline backups of other linux distributions, resulting 
+ in restore-bootcds. The bootcdbackupwizard helps to create online 
+ backups.
 
 Package: bootcd-i386
 Architecture: all
