=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 # Sample debian/rules that uses debhelper. 
 # This file is public domain software, originally written by Joey Hess.
 #
+
+include /usr/share/quilt/quilt.make
 
 # Uncomment this to turn on verbose mode. 
 #export DH_VERBOSE=1
@@ -15,7 +17,7 @@
 
 	touch build-stamp
 
-clean:
+clean: unpatch
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp 
@@ -27,7 +29,7 @@
 	dh_clean
 
 install:
-install: build
+install: build patch
 	dh_testdir
 	dh_testroot
 	dh_clean -k
@@ -45,7 +47,9 @@
 	dh_testroot -i
 	dh_installchangelogs -i
 	dh_installdocs -i
-	dh_installexamples -i bootcd2disk.conf.lvm bootcd2disk.conf.redhat
+	dh_installexamples -i bootcd2disk.conf.lvm bootcd2disk.conf.redhat \
+		bootcdbackupwizard bootcddebootstrap README.bootcdbackupwizard \
+    bootcdmk2diskconf
 #	dh_installmenu -i
 	dh_installdebconf -i
 #	dh_installlogrotate -i
@@ -59,7 +63,9 @@
 #	dh_undocumented -i
 	dh_installman -i
 	dh_link -i
-	dh_compress -i
+	dh_compress -i -Xbootcdbackupwizard -Xbootcddebootstrap -Xbootcdmk2diskconf
+	# bootcdbackupwizard, bootcddebootstrap is not compressed, because we do not know 
+	# if the foreign distri has gunzip installed
 	dh_fixperms -i
 #	dh_perl -i
 #	dh_python -i
@@ -70,6 +76,6 @@
 
 # Nothing to do for binary-arch
 binary-arch:
-	
+
 binary: binary-indep
 .PHONY: build clean binary-indep binary install
