## bootcd 3.10+nmu1

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Makefile 
 
 BIN=		bootcdwrite
-USRLIBS=	bootcd-run.lib bootcd-check.lib bootcd-hppa.lib \
+USRLIBS=	bootcd-run.lib bootcdbackup.lib bootcd-check.lib bootcd-hppa.lib \
 		bootcd2disk.conf bootcd2disk.lib \
 		default.txt bootcd-ia64.lib bootcd-i386.lib
 USREXLIBS=	bootcd2disk bootcdflopcp bootcdmodprobe bootcdproberoot \
@@ -17,16 +17,17 @@
   version2=$$(echo "$${version}" | sed "s/\./_/"); \
   sed -e "s|\#\#BOOTCD\.VERSION\#\#|$${version}|" -e "s|\#\#BOOTCD_VERSION\#\#|$${version2}|")
 INSERT=( \
-    lines=$$(sed -e "$$SEARCH" $< |wc -l); \
-    elines=$$(expr $$(cat $< |wc -l) - $$lines + 1); \
-    head -n $$lines $<; \
+    F=$$(cat); \
+    lines=$$(echo "$$F" | sed -e "$$SEARCH" |wc -l); \
+    elines=$$(expr $$(echo "$$F" |wc -l) - $$lines + 1); \
+    echo "$$F" | head -n $$lines; \
     cat $$FILE; \
-    tail -n -$$elines $< \
+    echo "$$F" | tail -n -$$elines \
 	)
 
-all: bootcddebootstrap bootcdbackupwizard ${USREXLIBS}
+all: bootcddebootstrap bootcdbackupwizard bootcdmkbackwiztar ${USREXLIBS}
 
-bootcdbackwiz: bootcdbackwiz_extract ../bootcd_?.??_all.deb ../bootcd-mkinitramfs_?.??_all.deb ../bootcd-i386_?.??_all.deb README.bootcdbackwiz_extract
+bootcdbackwiz: bootcdbackwiz_extract ../bootcd_?.??_all.deb ../bootcd-mkinitramfs_?.??_all.deb ../bootcd-i386_?.??_all.deb ../bootcd-backup_?.??_all.deb README.bootcdbackwiz_extract
 	sh -c '$(VERSION); \
 	  mkdir bootcdbackupwizard_$${version}; \
           for i in $^; do \
@@ -37,7 +38,9 @@
 
 clean:
 	@rm -f ChangeLog.gz
-	@rm -f bootcddebootstrap bootcdbackupwizard bootcdmk2diskconf bootcdbackwiz_extract
+	@rm -f bootcddebootstrap bootcdbackupwizard bootcdmk2diskconf \
+	  bootcdbackwiz_extract bootcdmkbackwiztar
+	@rm -rf bootcdbackupwizard_?.??.tar.gz
 
 install:	all
 	@install -m 755 -o root -g root $(BIN) $(DESTDIR)/usr/bin/
@@ -50,17 +53,16 @@
 
 bootcddebootstrap: bootcddebootstrap.src bootcd-run.lib
 	/bin/sh -c ' \
-	  SEARCH="\|\#\#\# BOOTCD_LIB|q"; \
-          FILE="bootcd-run.lib" ; \
-          $(INSERT) | \
+	  cat $< | \
+	  ( SEARCH="\|\#\#\# BOOTCD-RUN_LIB|q"; FILE="bootcd-run.lib"; $(INSERT) ) | \
 	  $(REPLVERSION) >$@'
 	chmod 755 $@
 
-bootcdbackupwizard: bootcdbackupwizard.src bootcd-run.lib 
+bootcdbackupwizard: bootcdbackupwizard.src bootcd-run.lib bootcdbackup.lib
 	/bin/sh -c ' \
-	  SEARCH="\|\#\#\# BOOTCD_LIB|q"; \
-          FILE="bootcd-run.lib" ; \
-          $(INSERT) | \
+	  cat $< | \
+	  ( SEARCH="\|\#\#\# BOOTCD-RUN_LIB|q"; FILE="bootcd-run.lib" ; $(INSERT) ) | \
+	  ( SEARCH="\|\#\#\# BOOTCDBACKUP_LIB|q"; FILE="bootcdbackup.lib" ; $(INSERT) ) | \
 	  $(REPLVERSION) >$@'
 	chmod 755 $@
 
@@ -69,17 +71,22 @@
           bootcddeb=$$(cd ..; /bin/ls bootcd_?.??_all.deb); \
 	  bootcdmkinitramfsdeb=$$(cd ..; /bin/ls bootcd-mkinitramfs_?.??_all.deb); \
 	  bootcdi386deb=$$(cd ..; /bin/ls bootcd-i386_?.??_all.deb);\
+	  bootcdbackupdeb=$$(cd ..; /bin/ls bootcd-backup_?.??_all.deb);\
 	  sed -e "s|\#\#BOOTCDDEB\#\#|$${bootcddeb}|;\
 s|\#\#BOOTCDMKINITRAMFSDEB\#\#|$${bootcdmkinitramfsdeb}|;\
+s|\#\#BOOTCDBACKUPDEB\#\#|$${bootcdbackupdeb}|;\
 s|\#\#BOOTCDI386DEB\#\#|$${bootcdi386deb}|" $< | \
 	  $(REPLVERSION) >$@'
 	chmod 755 $@
 
 bootcdmk2diskconf:	bootcdmk2diskconf.src bootcd2disk.conf
 	/bin/sh -c ' \
-	  SEARCH="\|\#\#\# BOOTCD2DISK.CONF|q"; \
-          FILE="bootcd2disk.conf"; \
-          $(INSERT) | \
+	  cat $< | \
+	  ( SEARCH="\|\#\#\# BOOTCD2DISK.CONF|q"; FILE="bootcd2disk.conf"; $(INSERT) ) | \
 	  $(REPLVERSION) >$@'
 	chmod 755 $@
 	./$@ -checktemplate
+
+bootcdmkbackwiztar:	bootcdmkbackwiztar.src
+	/bin/sh -c 'cat $< | $(REPLVERSION) >$@'
+	chmod 755 $@
