=== debian/changelog ===
bootcd (3.10+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Applied patch by Leonardo Rodrigues de Mello to make package work with
    sh=dash. (Closes: #464497)
    All remaining bashisms are also understood by dash.
  * Fixed lintian errors:
    - Bumped Standards-Version to 3.8.0.
    - Depend on genisoimage instead of mkisofs.
    - Recommends wodim instead of cdrecord.
    - Only build depend on debhelper once.
    - Do not ignore errors in clean target.
    - Added debhelper token to postinst and postrm.
    - Minor typo in description.

 -- Michael Meskes <meskes@debian.org>  Sat, 21 Jun 2008 19:39:52 +0200

bootcd (3.10) unstable; urgency=low

  * Added link to /usr/share/common-licenses/GPL-2

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Fri, 18 Jan 2008 10:36:24 +0100

bootcd (3.09) unstable; urgency=low

  * bootcd-backup is now an extra package. The bootcdbackupwizard
    has been improved by Carsten Dinkelmann <din@foobar-cpa.de> and
    Bernd Schumacher <bernd.schumacher@hp.com>.
  * Fixed Bug "bootcd FTBFS with sh as interpreter" reported by 
    Nicolas Valcarcel <nvalcarcel@gmail.com>. Closes: #453263
  * Supporting backup and restore of selinux files.
  * bootcd-mkinitramfs uses a one-line description, as requested
    by David Liontooth <liontooth@cogweb.net>. Closes: #402632
  * Corrected typo in bootcdwrite, evaluates append="$KLABEL" instead of
    append="$APPEND", reported by Ludi de Souza <lnds@hotmail.com>.
    Closes: #457818

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Mon, 19 Nov 2007 14:31:14 +0100
