## bootcd 3.11ubuntu1

=== debian/changelog ===
bootcd (3.11ubuntu1) intrepid; urgency=low

  * Merge from debian unstable, remaining changes: (LP: #255609)
    - Added 01bootcdmk2diskconf.src.diff patch:
      + A lot of changes for dash compatibility
    - Implement quilt patch system:
      + Add quilt as a Build-Depends in debian/control
      + Add quilt support in debian/rules

 -- Bhavani Shankar <right2bhavi@gmail.com>  Mon, 18 Aug 2008 19:06:57 +0530

bootcd (3.11) unstable; urgency=low

  * the bootcd-ia64.lib is now in bootcd-ia64. This bug was reported by 
    Jens Kapitza <debian@schwarze-allianz.de> Closes: #489414
  * Added a description "how to create a liveusbstick from a bootcd-iso" from
    Ingo Peter <ingo.peter@sosyco.de> to the FAQ.
  * Added some from NMU deleted "-n options" to "echo" command where needed.
  * bootcddebootstrap now recognizes environment varialbe http_proxy
  * bootcddebootstrap now runs apt with a higher Cache-Limit
  * bootcddebootstrap now has a more intelligent way to check output 
    of "apt-get install"
  * added bootcdtest script to make testing of packages before commiting
    easier. This script is only available in the bootcd source package.
    - The test script can only test bootcddebootstrap until now
  * Added "mount --move /dev.ro /dev" to S12bootcdram.sh to correct the
    problem "Unable to connect via ssh" with error "stdin: is not a tty"
    This was only possible with the bugreports and help of 
    Alessandro Polverini <alex@nibbles.it> and "Yifang Dai" <yifangd0@gmail.com>. 
    Closes: #464728
  * Added patch for "MKISODEVFS variable has wrong assignment" from
    Jens Kapitza <developer@schwarze-allianz.de>. Closes: #484705
  * Resolved bashism reported by Raphael Geissert <atomo64@gmail.com>
    (sourced script with arguments) in bootce2disk. Closes: #489545
  * Resolved bashism reported by Raphael Geissert <atomo64@gmail.com>
    (let ...). Closes: #489548

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Sat, 26 Jul 2008 11:44:58 +0200

bootcd (3.10ubuntu1) intrepid; urgency=low

  * Added 01bootcdmk2diskconf.src.diff patch:
    - A lot of changes for dash compatibility (LP: #238761)
  * Implement quilt patch system:
    - Add quilt as a Build-Depends in debian/control
    - Add quilt support in debian/rules
  * debian/control: Update maintainer fields according to debian-
    maintainer-field spec. 

 -- Nicolas Valcárcel <nvalcarcel@ubuntu.com>  Tue, 10 Jun 2008 16:01:56 -0500
