=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: bootcd
 Section: utils
 Priority: extra
-Maintainer: Bernd Schumacher <bernd.schumacher@hp.com>
-Build-Depends: debhelper (>= 4)
+Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+XSBC-Original-Maintainer: Bernd Schumacher <bernd.schumacher@hp.com>
+Build-Depends: debhelper (>= 4), quilt
 Standards-Version: 3.8.0
 
 Package: bootcd
