=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,7 @@
 	rm -f build-stamp 
 
 	# Add here commands to clean up after the build process.
-	-$(MAKE) clean
+	[ ! -f Makefile ] || $(MAKE) clean
 	#-$(MAKE) distclean
 
 	dh_clean
@@ -47,9 +47,7 @@
 	dh_testroot -i
 	dh_installchangelogs -i
 	dh_installdocs -i
-	dh_installexamples -i bootcd2disk.conf.lvm bootcd2disk.conf.redhat \
-		bootcdbackupwizard bootcddebootstrap README.bootcdbackupwizard \
-    bootcdmk2diskconf
+	dh_installexamples -i 
 #	dh_installmenu -i
 	dh_installdebconf -i
 #	dh_installlogrotate -i
