## bootcd 3.12

=== debian/changelog ===
bootcd (3.12) unstable; urgency=low

  * bootcd2disk now only uses the command grub directly to install grub 
    instead of trying grub-install before. (See more comments in source)
  * Solved bug bootcd: tries to overwrite file oened by bootcd-ia64
    reported by Ralf Treinen <treinen@debian.org>. Closes: #497459
  * Solved bug "FTBFS with dash as /bin/sh" reported by Daniel Schepler
    <schepler@math.berkeley.edu>. Closes: #493453
  * make lintian happy

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Mon, 08 Sep 2008 16:06:47 +0200
