## bootcd 3.15

=== debian/changelog ===
bootcd (3.15) unstable; urgency=low

  * Fix return value of udev_fixnet in bootcd2disk.
  * Changed /usr/bin/mkisofs -> genisoimage
  * Output of functions after_copy() and before_copy() defined in 
    bootcd2disk.conf are not controlled with run anymore.
  * in bootcd2disk, the dd command now uses conf=notrunc to really wipe out 
    the partition table
  * in bootcd2disk, if we get "BLKRRPART: Device or resource busy" the 
    user is asked to reboot
  * in bootcd2disk.lib if we can not find a block device we will guess
    its name

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Mon, 20 Apr 2009 10:01:40 +0200

bootcd (3.14) unstable; urgency=low

  * Bootcd now also handles /etc/udev/rules.d/70-persistent-net.rules (lenny)
    and /etc/udev/rules.d/z25_persistent-net.rules (etch). This bug has 
    been reported by kinneko <kinneko@gmail.com> and 
    Hideki Yamane <mailto:henrich@debian.or.jp> 

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Wed, 01 Apr 2009 12:02:49 +0200

bootcd (3.13) unstable; urgency=low

  * Changes made to bootcd-check.lib (cvs version 1.32) where accidently lost
    in last version. Now they are added again.
  * Added missing depencency to mkisofs as asked for by
    Hideki Yamane <henrich@debian.or.jp> Closes: #520054

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Fri, 20 Mar 2009 11:37:32 +0100
