=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: bootcd
 Section: utils
 Priority: extra
-Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
-XSBC-Original-Maintainer: Bernd Schumacher <bernd.schumacher@hp.com>
-Build-Depends: debhelper (>= 4), quilt
+Maintainer: Bernd Schumacher <bernd.schumacher@hp.com>
+Build-Depends: debhelper (>= 4)
 Standards-Version: 3.8.0
 
 Package: bootcd
 Architecture: all
 Suggests: ssh, bootcd-mkinitramfs
-Depends: genisoimage, cpio, fdutils, file, dosfstools, realpath, bootcd-i386 | bootcd-hppa | bootcd-ia64
+Depends: genisoimage | mkisofs, cpio, fdutils, file, dosfstools, realpath, bootcd-i386 | bootcd-hppa | bootcd-ia64
 Recommends: wodim
 Description: run your system from cd without need for disks
  Build an image of your running Debian System with the command bootcdwrite.
