=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,6 @@
 # Sample debian/rules that uses debhelper. 
 # This file is public domain software, originally written by Joey Hess.
 #
-
-include /usr/share/quilt/quilt.make
 
 # Uncomment this to turn on verbose mode. 
 #export DH_VERBOSE=1
@@ -17,7 +15,7 @@
 
 	touch build-stamp
 
-clean: unpatch
+clean:
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp 
@@ -29,7 +27,7 @@
 	dh_clean
 
 install:
-install: build patch
+install: build
 	dh_testdir
 	dh_testroot
 	dh_clean -k
