## bootcd 3.18

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,5 @@
 # Makefile 
+#
 
 BIN=		bootcdwrite
 USRLIBS=	bootcd-run.lib bootcdbackup.lib bootcd-check.lib bootcd-hppa.lib \
@@ -13,16 +14,18 @@
 INITRAMFSDEST=  $(DESTDIR)/usr/share/initramfs-tools
 
 VERSION=version=$$(sed -ne "s|^bootcd (\([^)]*\)).*|\1|p;q" debian/changelog)
+# /bin/echo is needed instead of echo. Because /bin/echo it behaves like 
+# bash-echo and does not interpret \n as dash-echo would do.
 REPLVERSION=($(VERSION); \
-  version2=$$(echo "$${version}" | sed "s/\./_/"); \
+  version2=$$(/bin/echo "$${version}" | sed "s/\./_/"); \
   sed -e "s|\#\#BOOTCD\.VERSION\#\#|$${version}|" -e "s|\#\#BOOTCD_VERSION\#\#|$${version2}|")
 INSERT=( \
     F=$$(cat); \
-    lines=$$(echo "$$F" | sed -e "$$SEARCH" |wc -l); \
-    elines=$$(expr $$(echo "$$F" |wc -l) - $$lines + 1); \
-    echo "$$F" | head -n $$lines; \
+    lines=$$(/bin/echo "$$F" | sed -e "$$SEARCH" |wc -l); \
+    elines=$$(expr $$(/bin/echo "$$F" |wc -l) - $$lines + 1); \
+    /bin/echo "$$F" | head -n $$lines; \
     cat $$FILE; \
-    echo "$$F" | tail -n -$$elines \
+    /bin/echo "$$F" | tail -n -$$elines \
 	)
 
 all: bootcddebootstrap bootcdbackupwizard bootcdmkbackwiztar ${USREXLIBS}
@@ -52,14 +55,14 @@
 	@install -m 755 -o root -g root $(INITHOOK) $(INITRAMFSDEST)/hooks/
 
 bootcddebootstrap: bootcddebootstrap.src bootcd-run.lib
-	/bin/sh -c ' \
+	sh -c ' \
 	  cat $< | \
 	  ( SEARCH="\|\#\#\# BOOTCD-RUN_LIB|q"; FILE="bootcd-run.lib"; $(INSERT) ) | \
 	  $(REPLVERSION) >$@'
 	chmod 755 $@
 
 bootcdbackupwizard: bootcdbackupwizard.src bootcd-run.lib bootcdbackup.lib
-	/bin/sh -c ' \
+	sh -c ' \
 	  cat $< | \
 	  ( SEARCH="\|\#\#\# BOOTCD-RUN_LIB|q"; FILE="bootcd-run.lib" ; $(INSERT) ) | \
 	  ( SEARCH="\|\#\#\# BOOTCDBACKUP_LIB|q"; FILE="bootcdbackup.lib" ; $(INSERT) ) | \
@@ -67,7 +70,7 @@
 	chmod 755 $@
 
 bootcdbackwiz_extract: bootcdbackwiz_extract.src ../bootcd_?.??_all.deb ../bootcd-mkinitramfs_?.??_all.deb ../bootcd-i386_?.??_all.deb
-	/bin/sh -c ' \
+	sh -c ' \
           bootcddeb=$$(cd ..; /bin/ls bootcd_?.??_all.deb); \
 	  bootcdmkinitramfsdeb=$$(cd ..; /bin/ls bootcd-mkinitramfs_?.??_all.deb); \
 	  bootcdi386deb=$$(cd ..; /bin/ls bootcd-i386_?.??_all.deb);\
@@ -80,7 +83,7 @@
 	chmod 755 $@
 
 bootcdmk2diskconf:	bootcdmk2diskconf.src bootcd2disk.conf
-	/bin/sh -c ' \
+	sh -c ' \
 	  cat $< | \
 	  ( SEARCH="\|\#\#\# BOOTCD2DISK.CONF|q"; FILE="bootcd2disk.conf"; $(INSERT) ) | \
 	  $(REPLVERSION) >$@'
@@ -88,5 +91,5 @@
 	./$@ -checktemplate
 
 bootcdmkbackwiztar:	bootcdmkbackwiztar.src
-	/bin/sh -c 'cat $< | $(REPLVERSION) >$@'
+	sh -c 'cat $< | $(REPLVERSION) >$@'
 	chmod 755 $@
