=== debian/changelog ===
bootcd (3.18) unstable; urgency=low

  * Added Pre-Depends in bootcd-ia64, to have not the same file in
    both packages while upgrading. Hopefully this closes the bug
    found by Holger Levsen <holger@layer-acht.org>. Closes: #562855
  * Added new GRUB Parameter GRUBDEVICEMAP for more flexibility in
    bootcd2disk.conf.

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Thu, 14 Jan 2010 17:49:37 +0100

bootcd (3.17) unstable; urgency=low

  * support for md softraid
  * each package now depends on bootcd >= 3.17. bootcd 3.17 does not include 
    /usr/share/bootcd/bootcd-ia64.lib as bootcd 3.10+nmu1 did reported by 
    Holger Levsen <holger@layer-acht.org>. Closes: #562855
  * Solved bashism by changing == to = in test statements, reported by 
    Andre Roth <lynx@netlabs.org>. Closes: #560204

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Sat, 18 Jul 2009 18:08:18 +0200

bootcd (3.16) unstable; urgency=low

  * if we get "BLKRRPART: Device or resource busy" even withou using LVM
    we have to destroy needed disks with dd before rebooting.
  * changed Standards-Verstion from 3.8.0 to 3.8.2
  * fixed bashism reported by Raphael Geissert <atomo64@gmail.com>.
    Closes: #530059

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Tue, 07 Jul 2009 13:19:26 +0200
