=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: utils
 Priority: extra
 Maintainer: Bernd Schumacher <bernd.schumacher@hp.com>
-Build-Depends: debhelper (>= 4)
-Standards-Version: 3.8.0
+Build-Depends: debhelper (>= 7)
+Standards-Version: 3.8.2
 
 Package: bootcd
 Architecture: all
 Suggests: ssh, bootcd-mkinitramfs
-Depends: genisoimage | mkisofs, cpio, fdutils, file, dosfstools, realpath, bootcd-i386 | bootcd-hppa | bootcd-ia64
+Depends: ${misc:Depends}, genisoimage, cpio, fdutils, file, dosfstools, realpath, bootcd-i386 | bootcd-hppa | bootcd-ia64
 Recommends: wodim
 Description: run your system from cd without need for disks
  Build an image of your running Debian System with the command bootcdwrite.
@@ -28,7 +28,7 @@
 
 Package: bootcd-i386
 Architecture: all
-Depends: bootcd (>=3.09), syslinux
+Depends: ${misc:Depends}, bootcd (>=3.17), syslinux
 Description: bootcd extension to create images that can boot on i386
  With bootcd you can copy your system to cd, run it from cd without need for 
  disks and restore your system on disk from bootcd. This package is needed to 
@@ -36,7 +36,7 @@
 
 Package: bootcd-hppa
 Architecture: all
-Depends: bootcd (>=3.09), palo
+Depends: ${misc:Depends}, bootcd (>=3.17), palo
 Description: bootcd extension to create images that can boot on parisc/hppa
  With bootcd you can copy your system to cd, run it from cd without need for 
  disks and restore your system on disk from bootcd. This package is needed to 
@@ -44,7 +44,8 @@
 
 Package: bootcd-ia64
 Architecture: all
-Depends: bootcd (>=3.09), elilo
+Depends: ${misc:Depends}, bootcd (>=3.18), elilo
+Pre-Depends: bootcd (>=3.17)
 Description: bootcd extension to create images that can boot on ia64
  With bootcd you can copy your system to cd, run it from cd without need for 
  disks and restore your system on disk from bootcd. This package is needed to 
@@ -53,7 +54,7 @@
 Package: bootcd-mkinitramfs
 Architecture: all
 Suggests: discover | discover1
-Depends: initramfs-tools, busybox | busybox-static | busybox-cvs | busybox-cvs-static, bootcd (>= 3.00)
+Depends: ${misc:Depends}, initramfs-tools, busybox | busybox-static | busybox-cvs | busybox-cvs-static, bootcd (>= 3.17)
 Conflicts: bootcd-mkinitrd
 Description: initramfs extension for bootcd
  With the installation of this bootcd extension your 
@@ -67,8 +68,8 @@
 
 Package: bootcd-backup
 Architecture: all
-Suggests: bootcd
-Depends: 
+Suggests: bootcd (>=3.17)
+Depends: ${misc:Depends}
 Conflicts: 
 Description: tools to backup a Debian or alien Linux installation
  Tools and documentation to backup a Debian or alien Linux
