=== debian/rules ===
--- 
+++ 
@@ -30,7 +30,8 @@
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	#dh_clean -k
+	dh_prep
 	dh_installdirs
 
 	# Add here commands to install the package into debian/tmp.
@@ -53,19 +54,22 @@
 #	dh_installcatalogs -i
 #	dh_installpam -i
 #	dh_installmime -i
+#	dh_python -i
 #	dh_installinit -i
 #	dh_installcron -i
 #	dh_installinfo -i
 #	dh_undocumented -i
 	dh_installman -i
 	dh_link -i
+#	dh_strip -i
 	dh_compress -i -Xbootcdbackupwizard -Xbootcddebootstrap -Xbootcdmk2diskconf
 	# bootcdbackupwizard, bootcddebootstrap is not compressed, because we do not know 
 	# if the foreign distri has gunzip installed
 	dh_fixperms -i
 #	dh_perl -i
-#	dh_python -i
+#	dh_makeshlibs -i
 	dh_installdeb -i
+#	dh_shlibdeps -i
 	dh_gencontrol -i
 	dh_md5sums -i
 	dh_builddeb -i
