## bootcd 3.20

=== debian/changelog ===
bootcd (3.20) unstable; urgency=low

  * Support Kernels with ramdisk as module (as used in squeeze).
    - S12bootcdram.sh loads ramdisk Module (brd) if it exists
    - S12bootcdram.sh may have to create /dev/ram2 manually
    - bootcd-check.lib now accepts kernels with 
      CONFIG_BLK_DEV_RAM=[m|y]
  * Support newer login that does not allow devices outside of /dev
    - bootcdwrite makes sure /etc/securetty has full path when running from 
      bootcd
    - bootcd2disk restores original /etc/securetty
  * Bashism
    - do not use bash command declare any more
  * This is the first try to support Grub2. 
    Maybe it is more sure to use Grub for now.
  * check that if bootcd-mkinitramfs is installed, it has modified the 
    correct initrd. While installing bootcd-mkinitramfs it only 
    modifies the actual running initrd, other initrds have to be modified
    manually. The check tells the command to execute.
  * Added sr_mod to the MANUAL_MODULES in bootcdmodprobe. Thanks to 
    Kushal Koolwal <kushalkoolwal@hotmail.com> and 
    Daniel Wozniak <dan@edgeos.com>. Successfuly tested squeeze kernel
    vmlinuz-2.6.32-3-686. Fixed bugs reported by
    Alessandro Polverini <alex@nibbles.it>. Also Tested bootcd2disk with 
    this kernel. Closes: #474148
  * Added startscripts bootcdram and bootcdflop with LSB support instead of
    old S12bootcdram.sh and S13bootcdflop.sh.

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Tue, 25 May 2010 10:21:07 +0200

bootcd (3.19fix2) unstable; urgency=low

  * Fixed a bug reported by Uwe Noffke <uwe.noffke@hp.com>, that produces an 
    endless loop, if interactive questions are answered by piping empty stdin
    to bootcd scripts. 

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Mon, 17 May 2010 10:33:24 +0200

bootcd (3.19fix1) unstable; urgency=low

  * Changed default for UDEV_FIXNET in bootcd2disk.conf to "yes"
  * Fixed a typo, which caused an error when using option -url with a 
    file-url (-url=file:///...) in bootcd2disk
  * Fixed an error in bootcd2disk, where function err from bootcd-run.lib
    was used before bootcd-run.lib was used

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Thu, 25 Mar 2010 11:30:11 +0100

bootcd (3.19) unstable; urgency=low

  * Fix: in S12bootcdram.sh only create symlinks if target does not exist
  * Fix: in bootcd2disk in function udev_fixnet return 0 if nothing hast to be
    fixed
  * Fix: bug in bootcdmk2diskconf which did not handle SWAP labels correct
  * Now grub makes sure the correct stage files are installed.
  * Support a lenny chroot to be used by bootcdbackupwizard. 
  * Tested bootcdbackupwizard with installations of RHEL4-U4-i386-AS and 
    rhel-server-5.4-i386 

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Tue, 09 Feb 2010 09:29:12 +0100
