## bootcd 3.23

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 		bootcd2disk.conf bootcd2disk.lib \
 		default.txt bootcd-ia64.lib bootcd-i386.lib
 USREXLIBS=	bootcd2disk bootcdflopcp bootcdmodprobe bootcdproberoot \
-		S13bootcdflop.sh S12bootcdram.sh bootcdmk2diskconf bootcdbackup
+		bootcdmk2diskconf bootcdbackup
 CONFFILES=	bootcdwrite.conf isolinux.cfg syslinux.cfg bootcdbackup.conf 
 INITTOP=	runbootcdmodprobe
 INITPREMOUNT=	runbootcdproberoot
@@ -28,9 +28,9 @@
     /bin/echo "$$F" | tail -n -$$elines \
 	)
 
-all: bootcddebootstrap bootcdbackupwizard bootcdmkbackwiztar ${USREXLIBS}
+all: bootcddebootstrap bootcdbackupwizard bootcdmkbackwiztar ${USREXLIBS} ${INITTOP}
 
-bootcdbackwiz: bootcdbackwiz_extract ../bootcd_?.??_all.deb ../bootcd-mkinitramfs_?.??_all.deb ../bootcd-i386_?.??_all.deb ../bootcd-backup_?.??_all.deb README.bootcdbackwiz_extract
+bootcdbackwiz: bootcdbackwiz_extract ../bootcd_*_all.deb ../bootcd-mkinitramfs_*_all.deb ../bootcd-i386_*_all.deb ../bootcd-backup_*_all.deb README.bootcdbackwiz_extract
 	sh -c '$(VERSION); \
 	  mkdir bootcdbackupwizard_$${version}; \
           for i in $^; do \
@@ -43,7 +43,8 @@
 	@rm -f ChangeLog.gz
 	@rm -f bootcddebootstrap bootcdbackupwizard bootcdmk2diskconf \
 	  bootcdbackwiz_extract bootcdmkbackwiztar
-	@rm -rf bootcdbackupwizard_?.??.tar.gz
+	@rm -rf bootcdbackupwizard_*.tar.gz
+	@rm -f bootcdmodprobe runbootcdmodprobe
 
 install:	all
 	@install -m 755 -o root -g root $(BIN) $(DESTDIR)/usr/bin/
@@ -69,12 +70,12 @@
 	  $(REPLVERSION) >$@'
 	chmod 755 $@
 
-bootcdbackwiz_extract: bootcdbackwiz_extract.src ../bootcd_?.??_all.deb ../bootcd-mkinitramfs_?.??_all.deb ../bootcd-i386_?.??_all.deb
+bootcdbackwiz_extract: bootcdbackwiz_extract.src ../bootcd_*_all.deb ../bootcd-mkinitramfs_*_all.deb ../bootcd-i386_*_all.deb
 	sh -c ' \
-          bootcddeb=$$(cd ..; /bin/ls bootcd_?.??_all.deb); \
-	  bootcdmkinitramfsdeb=$$(cd ..; /bin/ls bootcd-mkinitramfs_?.??_all.deb); \
-	  bootcdi386deb=$$(cd ..; /bin/ls bootcd-i386_?.??_all.deb);\
-	  bootcdbackupdeb=$$(cd ..; /bin/ls bootcd-backup_?.??_all.deb);\
+          bootcddeb=$$(cd ..; /bin/ls bootcd_*_all.deb); \
+	  bootcdmkinitramfsdeb=$$(cd ..; /bin/ls bootcd-mkinitramfs_*_all.deb); \
+	  bootcdi386deb=$$(cd ..; /bin/ls bootcd-i386_*_all.deb);\
+	  bootcdbackupdeb=$$(cd ..; /bin/ls bootcd-backup_*_all.deb);\
 	  sed -e "s|\#\#BOOTCDDEB\#\#|$${bootcddeb}|;\
 s|\#\#BOOTCDMKINITRAMFSDEB\#\#|$${bootcdmkinitramfsdeb}|;\
 s|\#\#BOOTCDBACKUPDEB\#\#|$${bootcdbackupdeb}|;\
@@ -93,3 +94,11 @@
 bootcdmkbackwiztar:	bootcdmkbackwiztar.src
 	sh -c 'cat $< | $(REPLVERSION) >$@'
 	chmod 755 $@
+
+bootcdmodprobe:		bootcdmodprobe.src
+	sh -c 'cat $< | $(REPLVERSION) >$@'
+	chmod 755 $@
+
+runbootcdmodprobe:	runbootcdmodprobe.src
+	sh -c 'cat $< | $(REPLVERSION) >$@'
+	chmod 755 $@
