=== debian/changelog ===
bootcd (3.23) unstable; urgency=low

  * Fixed bug, in bootcdwrite where genisoimage did not use option 
    -graft-points, (although it should use it with versions of 
    mkisofs>=1.13) because the version of genisoimage was not correct 
    calculated by bootcdwrite. This results in the exact same bug 
    "bootcd fails because of deleted path" as reported by 
    "Hans-J. Ullrich" <hans.ullrich@loop.de>. But now we could 
    reproduce it. Closes: #562560

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Wed, 01 Dec 2010 15:35:28 +0100

bootcd (3.22) unstable; urgency=low

  * Fix a bug with bootcd2disk, found by Kevin Woldt <kevin.woldt@hp.com>
    that prevents copying anything under /mnt to the new installed system. 
  * Fix a bug reported by Lucas Nussbaum <lucas@lucas-nussbaum.net> which 
    produced an error when purging bootcd-mkinitramfs (after dependencies 
    removal). Closes: #604220

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Mon, 15 Nov 2010 10:06:10 +0100

bootcd (3.21) unstable; urgency=low

  * As Sherwood Wang <swang.work@gmail.com> found out bootcd did
    not run with newer kernels (2.6.32). To fix this information will
    about block devices will be taken from /sys instead of 
    /proc. Closes: #588774

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Thu, 15 Jul 2010 08:31:20 +0200
