=== debian/rules ===
--- 
+++ 
@@ -55,7 +55,8 @@
 #	dh_installpam -i
 #	dh_installmime -i
 #	dh_python -i
-#	dh_installinit -i
+	dh_installinit -i --name=bootcdram --update-rcd-params="start 12 S ."
+	dh_installinit -i --name=bootcdflop --update-rcd-params="start 13 S ."
 #	dh_installcron -i
 #	dh_installinfo -i
 #	dh_undocumented -i
